FireflyAlgorithm::Intensity Class Referenceabstract

Base intensity class. More...

`#include <ql/experimental/math/fireflyalgorithm.hpp>`

Inheritance diagram for FireflyAlgorithm::Intensity:
[legend]

## Public Member Functions

void | findBrightest ()
| find brightest firefly for each firefly

## Protected Member Functions

virtual Real | intensityImpl (Real valueX, Real valueY, Real distance)=0
Real | distance (const Array &x, const Array &y) const

## Protected Attributes

Size | Mfa_
Size | N_
const std::vector< Array > * | x_
const std::vector< std::pair< Real, Size > > * | values_
std::vector< Array > * | xI_

## Friends

class | FireflyAlgorithm

## Detailed Description

Base intensity class.

Derived classes need to implement only intensityImpl